Subject: Re: bug#18411: No .gbdinit file in src/ directory

From: Joseph Mingrone <[email-masked]>
Date: Fri, 05 Sep 2014 13:47:16 -0300

Glenn Morris <[email-masked]> writes:

> Joseph Mingrone wrote:
>
>> Sorry, I couldn't get the xbacktrace to work.  There is no .gdbinit file
>> in the src/ directory of the FreeBSD port.
>
> You should be able to find it in the relevant source tarball.
> (It seems odd that FreeBSD would remove it...)
>
> Actually, I can just attach it:

I chose the option to install the sources with the port.  .gdbinit isn't
in those sources, but it is in the sources that were used to build the
port.  I ran gdb from the later and here's what I got:

jrm@gly /usr/ports/editors/emacs/work/emacs-24.3/src % gdb /usr/local/share/emacs /usr/coredumps/emacs-24.3.core.1001.0
GNU gdb (GDB) 7.8 [GDB v7.8 for FreeBSD]
Copyright (C) 2014 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-portbld-freebsd9.2".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
/usr/local/share/emacs: No such file or directory.
[New process 100142]
Core was generated by `emacs-24.3'.
Program terminated with signal SIGABRT, Aborted.
#0  0x34d60caf in ?? ()
.gdbinit:19: Error in sourced command file:
No symbol table is loaded.  Use the "file" command.
(gdb) xbacktrace
Undefined command: "xbacktrace".  Try "help".
(gdb)

Joseph